FMAX(3)

NAME
fmax - return maximum value

SYNOPSIS
#include <math.h>
double
fmax(double x, double y);
long double
fmaxl(long double x, long double y);
float
fmaxf(float x, float y);

DESCRIPTION
The fmax() functions return x or y, whichever is larger.

SPECIAL VALUES
If exactly one argument is a NaN, fmax() returns the other argument. If both arguments are NaNs, fmax() returns a NaN.

SEE ALSO
fdim(3), fma(3), fmin(3)

STANDARDS
The fmax() functions conform to ISO/IEC 9899:2011.